using System;
using System.Collections.Generic;
using System.Text;

namespace Components.Calendar
{
    #region Miscellaneous
    /// <summary>
    /// DateToDisplay rsultant d'une recherche
    /// </summary>
    public struct ResultMeetingRow
    {
        /// <summary>
        /// Rsultat de la recherche
        /// </summary>
        public MeetingRow Result;
        /// <summary>
        /// True si le DateToDisplay est le rsultat ou false si la recherche n'a rien donner
        /// </summary>
        public bool IsResult;
    }
    /// <summary>
    /// Enumration qui donne la position de la case dans le mois
    /// </summary>
    public enum CasePositionInMonth
    {
        /// <summary>
        /// La case se trouve avant le mois
        /// </summary>
        Before,
        /// <summary>
        /// La case est dans le mois
        /// </summary>
        InMonth,
        /// <summary>
        /// La case est aprs le mois
        /// </summary>
        After,
    }
    /// <summary>
    /// Indique la position de la case dans le rendez-vous
    /// </summary>
    public enum MeetingPosition
    {
        /// <summary>
        /// Case hors du rendez-vous
        /// </summary>
        OutOfMeeting,
        /// <summary>
        /// Premire case d'un rendez-vous
        /// </summary>
        StartingMeeting,
        /// <summary>
        /// Est dans un rendez-vous
        /// </summary>
        Meeting,
        /// <summary>
        /// Est le fin d'un rendez-vous
        /// </summary>
        EndingMeeting,
    }
    /// <summary>
    /// Donne l'affichage des minutes dans le HourSelector
    /// </summary>
    public enum MinutesSelection
    {
        /// <summary>
        /// Affiche par minutes
        /// </summary>
        Minute,
        /// <summary>
        /// Affiche par 5 minutes
        /// </summary>
        FiveMinutes,
        /// <summary>
        /// Affiche par 1/4 d'heure
        /// </summary>
        Quarter,
        /// <summary>
        /// Affiche par demi heure
        /// </summary>
        HalfAnHour,
    }
    #endregion

    #region For MonthCal
    /// <summary>
    /// Indicates if the click was made on a month navigation menu and wich one
    /// </summary>
    public enum ClickOnMenu
    {
        /// <summary>
        /// Click on PreviousMonth menu
        /// </summary>
        PreviousMonth = 0,
        /// <summary>
        /// Click on nothing
        /// </summary>
        Nothing = 1,
        /// <summary>
        /// Click on NextMonth menu
        /// </summary>
        NextMonth = 2,
        /// <summary>
        /// Click on the date in the middle
        /// </summary>
        MenuDate = 3,
    }
    #endregion

    #region For DayCal
    /// <summary>
    /// Gives the type of scroll
    /// </summary>
    public enum ScrollType
    {
        /// <summary>
        /// Scroll from the mouse
        /// </summary>
        MouseScroll,
        /// <summary>
        /// Programmatic asking of scrolling
        /// </summary>
        ProgrammingScroll,
    }
    /// <summary>
    /// Scroll direction
    /// </summary>
    public enum ScrollDirection
    {
        /// <summary>
        /// Scroll up
        /// </summary>
        Up = 1,
        /// <summary>
        /// Scroll down
        /// </summary>
        Down = -1,
        /// <summary>
        /// Scrolled to maximum up
        /// </summary>
        MaximumUp = 0,
        /// <summary>
        /// Scrolled to maximmum down
        /// </summary>
        MaximumDown = -2, 
    }
    #endregion
}
